org.h2.pagestore.db

## Class LobStorageBackend.LobInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.h2.pagestore.db.LobStorageBackend.LobInputStream

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

Enclosing class:
  LobStorageBackend

    public class LobStorageBackend.LobInputStream
    extends java.io.InputStream

An input stream that reads from a LOB.

### Constructor Summary

Constructors
Constructor and Description
`LobStorageBackend.LobInputStream(long lobId, long byteCount)`

### Method Summary

Methods
`int` `available()`
`int` `read()`
`int` `read(byte[] buff)`
`int` `read(byte[] buff, int off, int length)`
`long` `skip(long n)`

### Methods inherited from class java.io.InputStream

`close, mark, markSupported, reset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LobStorageBackend.LobInputStream

    public LobStorageBackend.LobInputStream(long lobId,
                                    long byteCount)
                                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

### Method Detail

#### read

    public int read()
             throws java.io.IOException

Specified by:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### skip

    public long skip(long n)
              throws java.io.IOException

Overrides:
  `skip` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### available

    public int available()
                  throws java.io.IOException

Overrides:
  `available` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public int read(byte[] buff)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public int read(byte[] buff,
           int off,
           int length)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`